<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Level 0</title>
</head>

<body>
    <script>
        // Ex 1
        let doublePiValue = 3.14159;
        // doublePiValue = 2 * doublePiValue;
        doublePiValue *= 2;
        console.log(doublePiValue);

        // Ex 3
        let xxx = Math.random() * 100;
        xxx = parseInt(xxx);
        console.log(xxx);

        // Ex 4
        let yyy = Math.random() * 11;
        yyy = Math.round(yyy);
        yyy = parseInt(yyy);
        //console.log(yyy);
        // alert(yyy);

        // Ex 5
        // alert('Olen popup!');

        // Ex 6
        // let isAdult = confirm('Kas oled 18 täis?');
        // // if (isAdult === true) {
        // if (isAdult) {
        //     console.log('Kasutaja on täisealine.');
        // } else {
        //     console.log('Kasutaja on alaealine.');
        // }

        // Ex 7
        // let repeatCount = prompt("Sisesta positiivne täisarv:");
        // let i = 0;
        // for (;i <= repeatCount; i++) {
        //     console.log(i);
        // }

        // Ex 8
        // let repeatCount = prompt("Sisesta positiivne täisarv:");
        // let num = 0;
        // while (num <= repeatCount) {
        //     console.log(num);
        //     num++;
        // }

        // Ex 9
        // let repeatCount = prompt("Sisesta positiivne täisarv:");
        // let tmp = 0;
        // do {
        //     console.log(tmp);
        //     tmp++;
        // } while(repeatCount >= tmp);

        // Ex 19
        let company1 = new Object();
        company1.name = 'Arco Vara';
        company1.logo = 'https://www.nasdaqbaltic.com/market/logo.php?issuer=ARC';
        company1.established = '1994-07-04';
        console.log(company1);

        // Ex 20
        let company2 = {
            "id": 11,
            "name": "Tallinna Sadam",
            "logo": "https://www.nasdaqbaltic.com/market/logo.php?issuer=TSM",
            "established": "1991-12-25",
            "employees": 468,
            "revenue": 130640000,
            "netIncome": 24420000,
            "securities": 263000000,
            "securityPrice": 1.96,
            "dividends": 0.13,
            "marketCapitalization": 515480000,
            "dividendYield": 0.07
        }
        console.log(company2);
    </script>
</body>

</html>